import java.applet.Applet;
import java.awt.event.*;
import java.awt.*;
import java.awt.geom.*;


public class Circle {

    public static Complex center(Complex z1,Complex z2,Complex z3) {
	Complex z12=Complex.plus(z1,z2);
	z12=Complex.times(z12,new Complex(.5,0));
	Complex w12=Complex.minus(z1,z2);
	w12=Complex.times(w12,new Complex(0,1));
	Complex zz12=Complex.plus(z12,w12);
	Complex z23=Complex.plus(z2,z3);
	z23=Complex.times(z23,new Complex(.5,0));
	Complex w23=Complex.minus(z2,z3);
	w23=Complex.times(w23,new Complex(0,1));
	Complex zz23=Complex.plus(z23,w23);
	Complex c=Vector.findCross(z12,zz12,z23,zz23);
	return c;
    }

    public static double radius(Complex z1,Complex z2,Complex z3) {
	Complex c=center(z1,z2,z3);
	double d=Complex.dist(c,z1);
	return d;
    }

}

